summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorciplc2020-09-02 13:48:59 -0500
committerciplc2020-09-02 13:48:59 -0500
commitbf90371beffc2b773b8d6eb163cee5cc43cddbb6 (patch)
tree06839f84b495d1c9fff383508f522e1440770b16
downloadaur-bf90371beffc2b773b8d6eb163cee5cc43cddbb6.tar.gz
First version of the PKGBUILD and .SRCINFO
-rw-r--r--.SRCINFO23
-rw-r--r--PKGBUILD51
2 files changed, 74 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..d4109a1ce4c
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,23 @@
+pkgbase = tar-parallel
+ pkgdesc = Utility used to store, backup, and transport files with parallel compression
+ pkgver = 1.32
+ pkgrel = 3
+ url = https://www.gnu.org/software/tar/
+ arch = x86_64
+ license = GPL3
+ depends = glibc
+ depends = acl
+ depends = attr
+ depends = pigz
+ depends = pbzip2
+ provides = tar
+ conflicts = tar
+ options = !emptydirs
+ source = https://ftp.gnu.org/gnu/tar/tar-1.32.tar.xz
+ source = https://ftp.gnu.org/gnu/tar/tar-1.32.tar.xz.sig
+ validpgpkeys = 325F650C4C2B6AD58807327A3602B07F55D0C732
+ md5sums = 83e38700a80a26e30b2df054e69956e5
+ md5sums = SKIP
+
+pkgname = tar-parallel
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..3dfd59a9f84
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,51 @@
+# Maintainer: Henry Graham <hgrahamcs )at( gmail )dot( com>
+# Contributor: Sébastien "Seblu" Luttringer <seblu@archlinux.org>
+# Contributor: Allan McRae <allan@archlinux.org>
+# Contributor: Andreas Radke <andyrtr@archlinux.org>
+_appname_=tar
+pkgname=tar-parallel
+pkgver=1.32
+pkgrel=3
+pkgdesc='Utility used to store, backup, and transport files with parallel compression'
+arch=('x86_64')
+url='https://www.gnu.org/software/tar/'
+license=('GPL3')
+depends=('glibc' 'acl' 'attr' 'pigz' 'pbzip2')
+options=('!emptydirs')
+validpgpkeys=('325F650C4C2B6AD58807327A3602B07F55D0C732') # Sergey Poznyakoff
+source=("https://ftp.gnu.org/gnu/${_appname_}/${_appname_}-$pkgver.tar.xz"{,.sig})
+md5sums=('83e38700a80a26e30b2df054e69956e5'
+ 'SKIP')
+provides=('tar')
+conflicts=('tar')
+
+prepare() {
+ cd ${_appname_}-$pkgver
+ # apply patch from the source array (should be a pacman feature)
+ local src
+ for src in "${source[@]}"; do
+ src="${src%%::*}"
+ src="${src##*/}"
+ [[ $src = *.patch ]] || continue
+ msg2 "Applying patch $src..."
+ patch -Np1 < "../$src"
+ done
+ :
+}
+
+build() {
+ cd ${_appname_}-$pkgver
+ ./configure --prefix=/usr --libexecdir=/usr/lib/tar --with-gzip=pigz --with-bzip2=pbzip2
+ make
+}
+
+check() {
+ cd ${_appname_}-$pkgver
+ make check
+}
+
+package() {
+ cd ${_appname_}-$pkgver
+ make DESTDIR="$pkgdir" install
+}
+